Data Source Wizard Screen 1

[image]

SQL Server Native Client Help
Data Source Wizard Screen 1
Send Feedback

Specify the name and description of the data source, and the name of the server running SQL Server to which the data source will connect.

Options

Name

The data source name used by an ODBC application when it requests a connection to the data source. For example, "Personnel." The data source name is displayed in the ODBC Data Source Administrator dialog box.

Description

(Optional) A description of the data source. For example, "Hire date, salary history, and current review of all employees."

Select or enter a server name

The name of an instance of SQL Server on your network. You will need to specify a server in the next edit box.

In most cases, the SQL Server Native Client ODBC driver can connect by using the default protocol order and the server name supplied in this box. Use SQL Server Configuration Manager if you want to create an alias for the server or configure client network libraries.

You can enter "(local)" in the server box when you are using the same computer as SQL Server. The user can then connect to the local instance of SQL Server, even when running a non-networked version of SQL Server. Multiple instances of SQL Server can run on the same computer. To specify a named instance of SQL Server, the server name is specified as ServerName\InstanceName.

For more information about server names for different types of networks, see the SQL Server installation documentation in SQL Server Books Online.

Finish

If the information specified on this screen is all that is needed to connect to SQL Server, you can click Finish. Defaults are used for all attributes specified on other screens of the wizard.

Provide feedback on this topic to Microsoft

© 2012 Microsoft Corporation. All rights reserved.


Data Source Wizard Screen 2

[image]

SQL Server Native Client Help
Data Source Wizard Screen 2
Send Feedback

Specify the method of authentication, and set up Microsoft SQL Server advanced-client entries and the login and password the SQL Server Native Client ODBC driver will use to connect to SQL Server while configuring the data source.

Options

With Integrated Windows Authentication using the network login ID

Specifies that the SQL Server Native Client ODBC driver request a secure (or trusted) connection to a SQL Server. When selected, SQL Server uses integrated login security to establish connections using this data source, regardless of the current login security mode at the server. Any login ID or password supplied is ignored. The SQL Server system administrator must have associated your Windows login with a SQL Server login ID (for example, by using SQL Server Management Studio).

Optionally, you can specify a service principal name (SPN) for the server.

Login ID

Specifies the login ID the SQL Server Native Client ODBC driver uses when connecting to SQL Server if With SQL Server Authentication using a login ID and password entered by the user is selected. This only applies to the connection made to determine the server default settings; it does not apply to subsequent connections made using the data source after it has been created.

Password

Specifies the password the SQL Server Native Client ODBC driver uses when connecting to SQL Server if With SQL Server Authentication using a login ID and password entered by the user is selected. This only applies to the connection made to determine the server default settings; it does not apply to subsequent connections made using the new data source.

Both the Login ID and Password boxes are disabled if With Integrated Windows Authentication using the network login ID is selected, or if Connect to SQL Server to obtain default settings for the additional configuration options is cleared.


Data Source Wizard Screen 3

[image]

SQL Server Native Client Help
Data Source Wizard Screen 3
Send Feedback

Specify the default database, various ANSI options to be used by the driver, and the name of a mirror server.

Options

Change the default database to box

Specifies the name of the default database for any connection made using this data source. When this box is cleared, connections use the default database defined for the login ID on the server. When this box is selected, the database named in the box overrides the default database defined for the login ID. If the Attach database filename box has the name of a primary file, the database described by the primary file is attached as a database using the database name specified in the Change the default database to box.

Using the default database for the login ID is more efficient than specifying a default database in the ODBC data source.

Mirror server check box

Specifies the name of the failover partner of the database to be mirrored. If a database name is not shown in the Change the default database to box, or the name shown is the default database, Mirror Server is grayed out.

Optionally, you can specify a server principal name (SPN) for the mirror server. The SPN for the mirror server is used for mutual authentication between client and server.

Attach database filename check box

Specifies the name of the primary file for an attachable database. This database is attached and used as the default database for the data source. Specify the full path and file name for the primary file. The database name specified in the Change the default database to box is used as the name for the attached database.

Use ANSI quoted identifiers check box

Specifies that QUOTED_IDENTIFIERS be set on when the SQL Server Native Client ODBC driver connects. When this check box is selected, SQL Server enforces ANSI rules regarding quote marks. Double quotes can only be used for identifiers, such as column and table names. Character strings must be enclosed in single quotes:

Copy image Copy Code
SELECT "LastName"
FROM "Person.Contact"
WHERE "LastName" = 'O''Brien'

When this check box is cleared, applications that use quoted identifiers, such as the Microsoft Query utility that comes with Microsoft Excel, encounter errors when they generate SQL statements with quoted identifiers.

Use ANSI nulls, paddings, and warnings check box

Specifies that the ANSI_NULLS, ANSI_WARNINGS, and ANSI_PADDINGS options be set on when the SQL Server Native Client ODBC driver connects.

With ANSI_NULLS set on, the server enforces ANSI rules regarding comparing columns for NULL. The ANSI syntax "IS NULL" or "IS NOT NULL" must be used for all NULL comparisons. The Transact-SQL syntax "= NULL" is not supported.

With ANSI_WARNINGS set on, SQL Server issues warning messages for conditions that violate ANSI rules but do not violate the rules of Transact-SQL. Examples of such errors are data truncation on execution of an INSERT or UPDATE statement, or encountering a null value during an aggregate function.

With ANSI_PADDING set on, trailing blanks on varchar values and trailing zeroes on varbinary values are not automatically trimmed.

Application intent

Declares the application workload type when connecting to a server. Possible values are ReadOnly and ReadWrite.

Multi-subnet failover.

If your application is connecting to a high-availability, disaster recovery AlwaysOn Availability Groups) availability group (AG) on different subnets, enabling Multi-subnet failover. configures SQL Server Native Client to provide faster detection of and connection to the (currently) active server.


Data Source Wizard Screen 4

[image]

SQL Server Native Client Help
Data Source Wizard Screen 4
Send Feedback

Specify the language to be used for SQL Server messages, the character set translation, and whether the SQL Server Native Client ODBC driver should use regional settings. You can also control the logging of long-running queries and driver statistics settings.

Options

Change the language of SQL Server system messages to

Each instance of SQL Server can have multiple sets of system messages, with each set in a different language (for example, English, Spanish, French, and so on). If a data source is defined against a server that has multiple sets of system messages, you can specify which language you want to use for system messages. In the list, click the language. This option is unavailable if only one language is installed on the SQL Server.

Use strong encryption for data

When selected, data that is passed through connections that are made using this DSN will be encrypted. Logins are encrypted by default, even if the check box is cleared.

Perform translation for character data

When this check box is selected, the SQL Server Native Client ODBC driver converts ANSI strings sent between the client computer and SQL Server by using Unicode. The SQL Server Native Client ODBC driver sometimes converts between the SQL Server code page and Unicode on the client computer. This requires that the code page used by SQL Server be one of the code pages available on the client computer.

When this check box is cleared, no translation of extended characters in ANSI character strings is done when they are sent between the client application and the server. If the client computer is using an ANSI code page (ACP) different from the SQL Server code page, extended characters in ANSI character strings may be misinterpreted. If the client computer is using the same code page for its ACP that SQL Server is using, the extended characters are interpreted correctly.

Use regional settings when outputting currency, numbers, dates, and times

Specifies that the driver use the regional settings of the client computer for formatting currency, numbers, dates, and times in character output strings. The driver uses the default regional setting for the Windows login account of the user connecting through the data source. Select this option for applications that only display data, not for applications that process data.

Save long running queries to the log file

Specifies that the driver log any query that takes longer than the Long query time value. Long-running queries are logged to the specified file. To specify a log file, either type the full path and file name in the box, or click Browse to select a log file by navigating through existing file directories.

Long query time (milliseconds)

Specifies a threshold value, in milliseconds, for long-running query logging. Any query that takes longer than this number of milliseconds to run is logged.

Log ODBC driver statistics to the log file

Specifies that statistics be logged. Statistics are logged to the specified file. To specify a log file, either type the full path and file name in the box or click Browse to select a log file by navigating through existing file directories.

The statistics log is a tab-delimited file that can be analyzed in Microsoft Excel or any other application that supports tab-delimited files.


SQL Server Login Dialog Box (ODBC)

[image]

SQL Server Native Client Help
SQL Server Login Dialog Box (ODBC)
Send Feedback

When you call an ODBC connection without specifying enough information for the driver to connect to a SQL Server, the Microsoft SQL Server Native Client ODBC driver displays the SQL Server Login dialog box.

Options

Server

The name of an instance of SQL Server on your network. Select a server\instance name from the list, or type the server\instance name in the Server box. Optionally, you can create a server alias on the client computer using SQL Server Configuration Manager, and type that name in the Server box.

You can enter "(local)" when you are using the same computer as SQL Server. You can then connect to a local instance of SQL Server, even when running a non-networked version of SQL Server.

For more information about server names for different types of networks, see the SQL Server installation documentation in SQL Server Books Online.

Use Trusted Connection

When this box is selected, specifies that the SQL Server Native Client ODBC driver request a secure (or trusted) connection to an instance of SQL Server running on Microsoft Windows 2000, Windows XP, or Windows 2003. SQL Server uses integrated login security to establish connections using this data source, regardless of the current login security mode at the server. Any login ID or password supplied is ignored. The SQL Server system administrator must have associated your Windows network ID with a SQL Server login ID.

When this box is cleared, SQL Server uses standard login security to establish connections using this data source. You must specify a login ID and a password for all connection requests.

Important Trusted Connections, using Windows Authentication, are much more secure than connections authenticated using SQL Server Authentication. Use Trusted Connections whenever possible.

Server SPN

If you use a trusted connection, you can specify a service principal name (SPN) for the server.

Login ID

Specifies the SQL Server login ID to use for the connection if Use Trusted Connection is cleared. If Use Trusted Connection is selected, the Login ID box is disabled.

Password

Specifies the password for the SQL Server login ID used for the connection if Use Trusted Connection is cleared. If Use Trusted Connection is selected the Password box is disabled.

Options

Displays or hides the Options group. The Options button is enabled if Server has a value.

Change Password

When this box is selected, displays the New Password and Confirm New Password boxes.

New Password

Specifies the new password.

Confirm New Password

Specifies the new password a second time, for confirmation.

Database

Specifies the default database to use on the connection. This setting overrides the default database specified for the login on the server. If no database is specified, the connection uses the default database specified for the login on the server.

Mirror Server

Specifies the name of the failover partner of the database to be mirrored.

Mirror SPN

Optionally, you can specify an SPN for the mirror server. The SPN for the mirror server is used for mutual authentication between client and server.

Language

Specifies the national language to use for SQL Server system messages. The computer running SQL Server must have the language installed. This setting overrides the default language specified for the login on the server. If no language is specified, the connection uses the default language specified for the login on the server.

Application Name

(Optional) Specifies the application name to be stored in the program_name column in the row for this connection in sys.sysprocesses.

Workstation ID

(Optional) Specifies the workstation ID to be stored in the hostname column in the row for this connection in sys.sysprocesses.


SQL Server Login Dialog Box (OLE DB)

[image]

SQL Server Native Client Help
SQL Server Login Dialog Box (OLE DB)
Send Feedback

When you attempt an OLE DB connection without specifying enough information for the provider to connect to an instance of the SQL Server Database Engine, the SQL Server Native Client OLE DB provider displays the SQL Server Login dialog box.

Options

Server

The name of an instance of the SQL Server Database Engine on your network. Select a server\instance name from the list, or type the server\instance name in the Server box. Optionally, you can create a server alias on the client computer using SQL Server Configuration Manager, and type that name in the Server box.

You can enter "(local)" when you are using the same computer as SQL Server. You can then connect to a local instance of SQL Server, even when running a non-networked version of SQL Server.

For more information about server names for different types of networks, see the SQL Server installation documentation in SQL Server Books Online.

Use Trusted Connection

When this box is selected, specifies that the SQL Server Native Client OLE DB provider request a secure (or trusted) connection to an instance of SQL Server running on Microsoft Windows. SQL Server uses integrated login security to establish connections using this data source, regardless of the current login security mode at the server. Any login ID or password supplied is ignored. The SQL Server system administrator must have associated your Windows login with a SQL Server login ID.

When this box is cleared, SQL Server uses standard login security to establish connections using this data source. You must specify a login ID and a password for all connection requests.

Important note Important

Trusted Connections, using Windows Authentication, are much more secure than connections authenticated using SQL Server Authentication. Use Trusted Connections whenever possible.

Server SPN

If you use a trusted connection, you can specify a service principal name (SPN) for the server.

Login ID

Specifies the SQL Server login ID to use for the connection if Use Trusted Connection is cleared. If Use Trusted Connection is selected, the Login ID box is disabled.

Password

Specifies the password for the SQL Server login ID used for the connection if Use Trusted Connection is cleared. If Use Trusted Connection is selected, the Password box is disabled.

Options

Displays or hides the Options group.The Options button is enabled if Server has a value.

Change Password

When selected, displays the New Password and Confirm New Password boxes.

New Password

Specifies the new password.

Confirm New Password

Specifies the new password a second time, for confirmation.

Database

Specifies the default database to use on the connection. This setting overrides the default database specified for the login on the server. If no database is specified, the connection uses the default database specified for the login on the server.

Mirror Server

Specifies the name of the failover partner of the database to be mirrored.

Mirror SPN

Optionally, you can specify an SPN for the mirror server. The SPN for the mirror server is used for mutual authentication between client and server.

Language

Specifies the national language to use for SQL Server system messages. The computer running SQL Server must have the language installed. This setting overrides the default language specified for the login on the server. If no language is specified, the connection uses the default language specified for the login on the server.

Application Name

Optionally specifies the application name to be stored in the program_name column in the row for this connection in sys.sysprocesses.

Workstation ID

Optionally specifies the workstation ID to be stored in the hostname column in the row for this connection in sys.sysprocesses.


Connection Tab for SQL Server

[image]

SQL Server Native Client Help
Connection Tab for SQL Server
Send Feedback

Use the Connection tab to specify how to connect to Microsoft SQL Server data.

This Connection tab is provider-specific and displays only the connection properties that are required by the OLE DB Provider for Microsoft SQL Server.

Options

Select server

Select a server name from the drop-down list, or type the location of the server where the database you want to access is located. Selecting the database on the server is a separate action. Refresh the list by clicking Refresh.

Enter information to log on to the server

Specify an authentication service.

Windows NT Integrated security specifies that the SQL Server driver request a secure (or trusted) connection to a SQL Server running on a supported Microsoft operating system. When selected, SQL Server uses integrated login security to establish connections using this data source, regardless of the current login security mode at the server. Any login ID or password supplied is ignored. The SQL Server system administrator must have associated your Windows login with a SQL Server login ID. If you select Windows NT integrated security, you can also select a service principal name (SPN) to be used for mutual authentication between client and server.

Or, enter a specific user name and password to authenticate your logon information to the data source. The SQL Server driver will not request a secure (or trusted) connection to SQL Server. SQL Server will use standard login security to establish connections. You must specify a SQL Server login ID and password for all connection requests.

Select Allow saving password to allow the password to be saved with the connection string. Whether the password is included in the connection string depends on the functionality of the calling application. The password is returned and saved unmasked and unencrypted.

Check Blank password to let the specified provider return a blank password in the connection string.

Select database

Select a database from the dropdown list or type a database name. You can optionally specify a mirror database and, if you select Windows NT integrated security, an SPN for the mirror server. The SPN for the mirror server is used for mutual authentication between client and server.

Select Attach a database file as a database name to specify the name of the primary file for an attachable database. This database is attached and used as the default database for the data source. Specify the full path and file name for the primary file. The database name specified in the Change the default database to box is used as the name for the attached database.

Change password

If you are using SQL Server Authentication, this option lets you change your SQL Server password.

Test connection

Click Test connection to attempt a connection to the specified data source. If the connection fails, ensure that the settings are correct. For example, spelling errors and case sensitivity can cause failed connections.


Advanced Tab for SQL Server

[image]

SQL Server Native Client Help
Advanced Tab for SQL Server
Send Feedback

Specifies the amount of time (in seconds) that the provider waits for initialization to complete.

Options

Connect timeout

Specifies the amount of time (in seconds) that the provider waits for initialization to complete. If initialization times out, an error is returned and the connection is not created.


Legal Notice for Documentation

[image]

Legal Notice for Documentation
Send Feedback

This document is provided “as-is”. Information and views expressed in this document, including URL and other Internet Web site references, may change without notice. You bear the risk of using it.

Some examples depicted herein are provided for illustration only and are fictitious. No real association or connection is intended or should be inferred.

This document does not provide you with any legal rights to any intellectual property in any Microsoft product. You may copy and use this document for your internal, reference purposes.

© 2012 Microsoft. All rights reserved.

Microsoft , Active Directory, ActiveX, Bing Maps, Excel, IntelliSense, MSDN, MS-DOS, PivotChart, PivotTable, PowerPoint, SharePoint, SQL Server, Visual Basic, Visual C#, Visual C++, Visual Studio, Windows, Windows NT, Windows Server, and Windows Vista are trademarks of the Microsoft group of companies. SAP NetWeaver is the registered trademark of SAP AG in Germany and in several other countries. All other trademarks are property of their respective owners.

Documentation Policy for SQL Server Support and Upgrade

Microsoft SQL Server 2012 software documentation includes Microsoft Books Online for Microsoft SQL Server 2012, installation documentation, developer reference documentation, tutorials, readme files, known issues documents, sample code, sample databases, and Knowledge Base articles published by Microsoft- all contain content about SQL Server features and functionality. This support and upgrade policy applies to Microsoft SQL Server 2012 documentation, including readme files for Microsoft SQL Server 2012 releases and service packs; a readme file is considered an extension of Books Online for Microsoft SQL Server 2012.

The primary purpose of a sample contained within this documentation is to illustrate a concept, or a reasonable use of a particular statement or clause. Most samples do not include all of the code that may normally be found in a full production system, as some of the usual data validation and error handling is removed to focus the sample on a particular concept or statement. Technical support is not available for these samples or for any included source code.

In some cases, a particular feature in Microsoft SQL Server 2012 has not been sufficiently tested or developed and is not intended for your use. Such features are often there as placeholders. Therefore, certain features that are included in the software are not documented. Features that are not documented or that are included as a notation for Microsoft internal use are not intended for your use and are not supported by Microsoft Customer Support Services. Unless the Microsoft SQL Server 2012 documentation states otherwise, third party content, including issues that result from using such third party content with Microsoft SQL Server 2012, are not supported by Microsoft Customer Support Services and may also result in loss of data. Microsoft Customer Support Services also does not provide support for databases or applications that leverage or use undocumented entry points like undocumented APIs, including but not limited to: stored procedures, extended stored procedures, functions, views, tables, columns, properties, or metadata.

Server and database upgrades to future versions of Microsoft SQL Server 2012 for applications and databases that leverage and use undocumented entry points also may not work and are not supported. Use of SQL Server features and functionality included in Microsoft SQL Server that are not documented in the Microsoft SQL Server 2012 documentation for your use are not supported and such use may cause loss of data.